Bug 170200 - rhgb causes system to hang on shutdown, poweroff, or reboot
rhgb causes system to hang on shutdown, poweroff, or reboot
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2005-10-08 18:35 EDT by mobrien
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-14 11:40:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description mobrien 2005-10-08 18:35:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When rhgb is used, and the user attempts a shutdown, halt, or reboot, the system hangs at the end of the shutdown, halt, or reboot sequence.  Apparently, all disks are unmounted before the hang because there are no filesystem error messages (such as "recovering journal") when the system next boots.  The computer will not respond to CTRL-ALT-DELETE.  When poweroff is used, the system does not power off, but hangs.  When reboot is used, the system hangs after shutting down and will not reboot.  The computer must be powered off by holding the power button down for several seconds. 

While this may be  a simple inconvenience for a desktop, it does prevent the computer from rebooting by remote, which could be a real problem if a system administrator is trying to manage the computer remotely

When rhgb is disabled by removing "rhgb" from the kernel arguments in /etc/grub.conf, the system halts/powers-off/reboots like it should.

System info:  FC4 on a Dell Latitude Cpt laptop with a Celeron 460 CPU and ATI Rage Mobility graphics chipset, 500 MB RAM.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Boot computer with rhgb enabled.
2.  Try to poweroff/halt/reboot, either from the command line or through GDM.
3.  Watch the computer hang.

Actual Results:  The system hangs at the end of the poweroff/halt/reboot sequence.

Expected Results:  The system should 
a) poweroff 
b) halt (with "system halted" message)
c) reboot
according to the command given.

Additional info:

I didn't see anything special in the logs.
Comment 1 Christian Iseli 2007-01-19 19:06:56 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 2 Ray Strode [halfline] 2007-08-14 11:40:38 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.